Libosmium 2.22.0 Fast and flexible C++ library for working with OpenStreetMap data

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
osmium::StringMatcher::substring Class Reference

`#include <string_matcher.hpp>`

Inheritance diagram for osmium::StringMatcher::substring:
[legend]
Collaboration diagram for osmium::StringMatcher::substring:
[legend]

## Public Member Functions
| substring (std::string str)
| substring (const char *str)
bool | match (const char *test_string) const noexcept
template<typename TChar , typename TTraits >
void | print (std::basic_ostream< TChar, TTraits > &out) const

## Private Attributes
std::string | m_str

## Detailed Description

Matches if the test string is a substring of the stored string.

## Constructor & Destructor Documentation

## ◆ substring() [1/2]

osmium::StringMatcher::substring::substring | ( | std::string | str | ) |
| inline explicit

## ◆ substring() [2/2]

osmium::StringMatcher::substring::substring | ( | const char * | str | ) |
| inline explicit

## Member Function Documentation

## ◆ match()

bool osmium::StringMatcher::substring::match | ( | const char * | test_string | ) | const
| inline noexcept

## ◆ print()

template<typename TChar , typename TTraits >

void osmium::StringMatcher::substring::print | ( | std::basic_ostream< TChar, TTraits > & | out | ) | const
| inline

## Member Data Documentation

## ◆ m_str

std::string osmium::StringMatcher::substring::m_str
| private

The documentation for this class was generated from the following file:

- include/osmium/util/string_matcher.hpp